%define pkg_name        Mail-ListDetector
%define pkg_version     1.01
%define rpm_pkg_version 1.01
%define rpm_pkg_release 1.n0i.5

Summary:       Mailing list message detector
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/M/MS/MSTEVENS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Email::Abstract)
BuildRequires: perl(Email::Valid) >= 0.12
BuildRequires: perl(URI) >= 1.1
%endif


%description
This module analyzes mail objects in any of the classes handled by
Email::Abstract. It returns a Mail::ListDetector::List object representing
the mailing list. The RFC2369 mailing list detector is also capable of
matching some Mailman and Ezmlm messages. It is deliberately checked last
to allow the more specific Mailman and Ezmlm parsing to happen first, and
more accurately identify the type of mailing list involved.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -l}
%doc AUTHORS BUGS Changes examples/ LICENSE README TODO


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.01-1.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.01

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> - 0.34-1.n0i.4
- version 0.34

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.32-2.n0i.3
- automatic rebuild (perl 5.8.8)

* Thu Nov 03 2005 Marius Feraru <altblue@n0i.net> 0.32-1.n0i.2
- version 0.32

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 0.31-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
